<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.param.mapper.AppParamMapper">

    <resultMap type="AppParam" id="AppParamResult">
        <result property="id"    column="id"    />
        <result property="key"    column="key"    />
        <result property="value"    column="value"    />
        <result property="remark"    column="remark"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectAppParamVo">
        select * from app_param
    </sql>

    <select id="selectAppParamList" parameterType="AppParam" resultMap="AppParamResult">
        <include refid="selectAppParamVo"/>
        <where>
            <if test="key != null  and key != ''"> and key = #{key}</if>
            <if test="value != null  and value != ''"> and value = #{value}</if>
        </where>
    </select>

</mapper>
